/*
Copyright 2016 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
.line::before {
    content: "";
    height: 100%;
    left: 0;
    opacity: 0.3;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: -1;
    background-color: white;
}

.line {
    position: relative;
    height: 100%;
}

.transcript {
    border-collapse: collapse;
}

{% for character in chart_data.items %}
    .character_{{ character.extra.slug }}::before {
        background-color: {{ character.extra.color }};
    }
{% endfor %}

.line_characters {
    display: flex;
    list-style: none;
    margin: 0.25em;
    padding: 0;
}

.line_characters > li {
    display: inline-flex;
}

.line_characters img {
    display: block;
}

.line_self_link {
    color: black;
    text-decoration: none;

    display: flex;
    flex-flow: column nowrap;
    height: 100%;
    justify-content: center;
}

.line:target::before {
    opacity: 0.7;
    filter: brightness(80%);
}

.line:hover::before {
    opacity: 0.5;
    filter: brightness(80%);
}

tr.line > td:last-child {
    height: 100%;
    margin: 0;
    padding: 0;
}
